package com.ruoyi.dashboard.customer.service;

import java.time.LocalDate;
import java.util.List;

import com.ruoyi.dashboard.index.domain.brief.CustomerBriefVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.bst.customer.domain.CustomerQuery;
import com.ruoyi.bst.customer.service.CustomerService;
import com.ruoyi.common.vo.StringIntegerVO;

@Service
public class DashboardCustomerService {

    @Autowired
    private CustomerService customerService;

    public CustomerBriefVO selectCustomerBrief() {

        List<StringIntegerVO> customerMap = customerService.selectCountGroupByStatus(new CustomerQuery());
        CustomerBriefVO customerBriefVO = new CustomerBriefVO(customerMap);
        // 今日新增客户
        customerBriefVO.setToday(this.selectTodayCustomerCount());
        return customerBriefVO;
    }


    /**
     * 查询今日新增客户数
     * @return
     */
    private int selectTodayCustomerCount() {
        CustomerQuery query = new CustomerQuery();
        query.setCreateDate(LocalDate.now());
        return customerService.selectCount(query);
    }
}
